import { Deserializer, Serializer } from './typedef';
export declare class SerializerService<Serialize, Deserialize, Serialized = Serialize, Deserialized = Deserialize> {
    #private;
    constructor(serializer?: Serializer<Serialize, Serialized>, deserializer?: Deserializer<Deserialize, Deserialized>);
    serialize: (data: Serialize) => string;
    deserialize: (data: Deserialize) => Deserialize | Deserialized;
}
